@echo off
:start
cls
@echo +====================================+
@echo !       UPDATE PX-41CX AVIATION      !
@echo +====================================+

rem   ############################################################################################
rem   # You must adapt this command file to your context                                         #
rem   # toolpath = python folder containing your tools (progs.py)                                #
rem   # hexpath = python folder containing your firmware files (xxxxxx.hex)                      #
rem   # infil = your initial firmware filename                                                   #
rem   # outfil = your "aviation" firmware filename                                                   #
rem   # mybmp = BMP path and filename (splashscreen)                                             #
rem   # comm = COM port number of your USB Serial interface                                      #
rem   # speed = COM port speed                                                                   #
rem   ############################################################################################

SET toolpath=tools
SET hexpath=PX41CX_V2
SET infil=px41cx_0902_20240902
SET outfil=px41cx_0902_20240902_AV
SET line1=" P X 4 1 C X "
SET line2=" http//paxer.net/px41cx"
SET line3=" Manual on :"
SET line4="    http://px41cx.phweb.me"
SET mybmp=PX41CX_V2_Utils/OK/avion.bmp
SET comm=8
SET speed=115200

:pxupd
CD..
python %toolpath%/px41cx_utility.py %hexpath%/%infil%.hex %hexpath%/%outfil%.hex -06 AdvL1.ROM 8 1 2 01 -07 AdvU1.ROM 9 1 2 01 -08 AdvU2.ROM 9 2 2 01 -09 Math1D.ROM a 1 0 02 -10 Avia1A.ROM b 1 0 03 -11 AV1.ROM c 1 0 04 -12 B52DEX.ROM d 1 0 05 -13 B52DIO.ROM d 2 0 05 -14 Stanrd.ROM e 1 0 10 -15 Pierre.ROM f 1 0 11 -16 PPCL.ROM e 1 0 12 -17 PPCU.ROM f 1 0 12 -u1 %line1% -u2 %line2% -u3 %line3% -u4 %line4% -b %mybmp%
@echo %outfil%.hex created !
@echo Check the PX-41CX switch. 
@echo It must be on the right !
pause
python -u %toolpath%/px41cx_firmware_upd.py -t uart -u COM%comm% -b %speed% -d avr128da28 --fuses 5:0b11001001 6:0x04 7:0x00 8:0x00 -f %hexpath%/%outfil%.hex -a write -v
CD %toolpath%
:endupd
